
QGIS Application - Bug report #1953

Missing copyright in CMake modules

2009-09-27 07:57 AM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12013

Description

Most of the [source:trunk/qgis/cmake@11650 [[FindXXX]] modules] for CMake include neither copyright notice nor refer to license. It

would be good to make these modules reusable in other OSGeo projects by including the unified copying notice used for CMake

modules:

Redistribution and use is allowed according to the terms of the BSD license.

 For details see the accompanying COPYING-CMAKE-SCRIPTS file.

History

#1 - 2010-06-12 05:25 AM - Paolo Cavallini

What is the problem in applying this suggestion?

#2 - 2010-06-20 10:10 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:3925a089 (SVN r13757).

I took the liberty and set the license of all CMake modules to BSD.
http://public.kitware.com/cgi-bin/viewcvs.cgi/Modules/COPYING-CMAKE-SCRIPTS?root=CMake&#38;view=markup

